<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="task no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Reusable Campaign Resources|Templates|Web Templates">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to create a web page template." /><title>Creating a New Web Page Template</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/creating-web-page-template-new.html">Open topic with navigation</a>
        </p>
        <h4>Creating a New Web Page Template<a name="kanchor176"></a></h4>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Campaigns </b>tab. 
</li>
            <li value="2">When the Campaigns page appears, click the <b class="UISelection">Manage Reusable Resources </b>tab.</li>
            <li value="3"> 
From the <b class="UISelection">Resources</b> dropdown, select<b class="UISelection"> Web Templates</b> and click the <b class="UISelection">New Web Template</b> button. </li>
            <li value="4">
When the New Web Template page appears, enter a name for the template in the <b class="UISelection">Name </b>field. </li>
            <li value="5">
In the content editor, enter the HTML that you want the web template to use. By default, <span class="VariablesProductName">Metasploit Pro</span> defines the DOCTYPE declaration for you:
</li>
        </ol>
        <p class="indentCode">&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;
</p>
        <ol data-mc-continue="true">
            <li value="6">When you create the HTML, you need to make sure that the web page includes the<code class="usertype"> &lt;html&gt;</code> tag to indicate the start of the web page and the <code class="usertype">&lt;/html&gt;</code> tag to denote the end of the web page. By default, web template includes the <code class="usertype">&lt;head&gt;</code> element.</li>
            <li value="7"> 
Additionally, you need to define the title for the web page. By default, the title is <span class="VariablesProductName">Metasploit Pro</span> Social Engineering Web Page. To replace the title with your own title, find the<code class="usertype"> &lt;title&gt;</code> element and replace the text inside the<code class="usertype"> &lt;title&gt;</code> element. You need to replace the title with the title of your web page. 
</li>
            <li value="8">When you are ready to create the body of the web page, find the <code class="usertype">&lt;body&gt; </code>element. The majority of the information for the web page will be defined in the <code class="usertype">&lt;body&gt;</code> element. For example, you can define the background color and web page text. 
</li>
            <li value="9">When you are ready to insert the content from the web page content into the template, click the<b class="UISelection"> Insert Custom Attribute </b>dropdown, and select the <b class="UISelection">Web Page Content </b>attribute. This adds the<code class="usertype"> {{ web_page_content }} </code>tag, which denotes that the content from the web page component should be placed there. 
</li>
            <li value="10">When you finish creating the web template, click the <b class="UISelection">Save </b>button. </li>
        </ol>
    </body>
</html>